Get 30% Discount on Business Pack Order here Click Here
زموږ اپلی click on the icon in the top right of the address bar.

د حالت پاڼې

GET https://uptimer24.com/api/status-pages/
curl --request GET \
--url 'https://uptimer24.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
پیرامیټرونه تفصیلات تفصیل
search اختیاري سټرينګ د لټون تار.
search_by اختیاري سټرينګ تاسو د کومې برخې له مخې لټون کوئ. اجازه ورکړل شوي ارزښتونه دي: name.
is_enabled اختیاري بولین
project_id اختیاري عدد صحیح
domain_id اختیاري عدد صحیح
datetime_field اختیاري سټرينګ اجازه ورکړل شوي ارزښتونه: datetime, last_datetime
datetime_start اختیاري سټرينګ Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end اختیاري سټرينګ Filter results up to this datetime. Y-m-d H:i:s format.
order_by اختیاري سټرينګ کومه برخه چې د پایلو د ترتیب لپاره وټاکل شي. اجازه ورکړل شوي ارزښتونه دي: status_page_id, datetime, last_datetime, name, pageviews.
order_type اختیاري سټرينګ د پایلو ترتیب. اجازه ورکړل شوي ارزښتونه دي: ASC د پورته ترتیب لپاره، او DESC د ښکته ترتیب لپاره.
page اختیاري عدد صحیح هغه د پاڼې شمېره چې تاسو یې پایلې غواړئ. په ډیفالټ کې 1 دی.
results_per_page اختیاري عدد صحیح تاسو په هره پاڼه کې څو پایلې غواړئ. اجازه ورکړل شوي ارزښتونه دي: 10, 25, 50, 100, 250, 500, 1000. په ډیفالټ ډول 25 ته ټاکل شوی.
{
    "data": [
        {
            "id": 1,
            "domain_id": 0,
            "monitors_ids": [1,2,3],
            "project_id": 0,
            "url": "example",
            "full_url": "https://uptimer24.com/s/example/",
            "name": "Example",
            "description": "This is just a simple description for the example status page 👋.",
            "socials": {
                "facebook": "example",
                "instagram": "example",
                "twitter": "example",
                "email": "",
                "website": "https://example.com/"
            },
            "logo_url": "",
            "favicon_url": ""
            "password": false,
            "timezone": "UTC",
            "custom_js": "",
            "custom_css": "",
            "pageviews": 50,
            "is_se_visible": true,
            "is_removed_branding": false,
            "is_enabled": true,
            "datetime": "2026-07-19 04:06:00",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimer24.com/api/status-pages?page=1",
        "last": "https://uptimer24.com/api/status-pages?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimer24.com/api/status-pages?page=1"
    }
}
GET https://uptimer24.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptimer24.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "domain_id": 0,
        "monitors_ids": [1,2,3],
        "project_id": 0,
        "url": "example",
        "full_url": "https://uptimer24.com/s/example/",
        "name": "Example",
        "description": "This is just a simple description for the example status page 👋.",
        "socials": {
            "facebook": "example",
            "instagram": "example",
            "twitter": "example",
            "email": "",
            "website": "https://example.com/"
        },
        "logo_url": "",
        "favicon_url": ""
        "password": false,
        "timezone": "UTC",
        "custom_js": "",
        "custom_css": "",
        "pageviews": 50,
        "is_se_visible": true,
        "is_removed_branding": false,
        "is_enabled": true,
        "datetime": "2026-07-19 04:06:00",
    }
}